import Vue from "vue";
import { formatDate } from "./utils";

const DEFAULT_FIELD = "";

Vue.filter("ableTypeFilter", function(val) {
  return val ? "启用" : "禁用";
});
Vue.filter("defaultFieldFilter", function(val) {
  return val === "" || val === null || val === undefined ? DEFAULT_FIELD : val;
});
Vue.filter("timestampFilter", function(val) {
  return val ? formatDate("YYYY-MM-DD HH:mm:ss", new Date(val)) : DEFAULT_FIELD;
});
